Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libmodplug
Version:	0.8.7
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://modplug-xmms.sourceforge.net
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	A ModPlug player plugin for XMMS.

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pkg-config

%description
Modplug-XMMS is a fully featured, complete input plugin for XMMS which plays MOD-like music formats.
It is based on the mod rendering code from ModPlug, a popular Windows MOD player.
For more details see: http://modplug-xmms.sourceforge.net

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_libdir}/libmodplug.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libmodplug
%{_libdir}/libmodplug.la
%{_libdir}/libmodplug.so
%{_pkgconfig}/libmodplug.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.8.7-1
- Version update
* Tue Sep 06 2005 Christian Wasem <wasem@ccux-linux.de> 0.7-2
- rebuild for SourceRPM
